/*
A-time is the time of last access.
*/
#ifndef _CELLFS_ATIME_H
#define _CELLFS_ATIME_H

#include <linux/fs.h>
#include <linux/buffer_head.h>

int cellfs_atime_fill_inode        (struct inode * atfile, struct inode *inode);
int cellfs_atime_update_from_inode (struct inode * atfile, struct inode *inode);
int cellfs_atime_delete_inode_entry(struct inode * atfile, struct inode *inode);

int cellfs_atime_read(struct super_block *sb, 
                     struct cellfs_inode *raw_inode,
                     struct inode **inodep);

#endif	/* _CELLFS_ATIME_H */